package com.sw.patroleditor.component.robot.message;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RobotCtrl {

    @JsonProperty(value = "robot_mode")
    private int robotMode;
    @JsonProperty(value = "pos_x")
    private int posX;
    @JsonProperty(value = "pos_y")
    private int posY;
    @JsonProperty(value = "pos_z")
    private int posZ;
    @JsonProperty(value = "work_speed")
    private int workSpeed;

    //云台控制
    @JsonProperty(value = "ptz_mode")
    private int ptzMode;
    private int yaw;
    private int pitch;
    private int roll;
    @JsonProperty(value = "ptz_speed")
    private int ptzSpeed;

    private int ratio;//倍率
    @JsonProperty(value = "focal_distance")
    private int focalDistance;//焦距
    private int diaphragm;//光圈
    private int focusing; //对焦(0自动,1手动)

    @JsonProperty(value = "open_camera")
    private boolean openCamera;
    @JsonProperty(value = "open_infrared")
    private boolean openInfrared;
    @JsonProperty(value = "open_wiper")
    private boolean openWiper;
    @JsonProperty(value = "open_light")
    private boolean openLight;
    @JsonProperty(value = "open_radar") //雷达开关
    private boolean openRadar;
    @JsonProperty(value = "open_room")  //充电房开关
    private boolean openRoom;
    @JsonProperty(value = "open_robot") //机器人开关
    private boolean openRobot;

    public int getRobotMode() {
        return robotMode;
    }

    public void setRobotMode(int robotMode) {
        this.robotMode = robotMode;
    }

    public int getPosX() {
        return posX;
    }

    public void setPosX(int posX) {
        this.posX = posX;
    }

    public int getPosY() {
        return posY;
    }

    public void setPosY(int posY) {
        this.posY = posY;
    }

    public int getPosZ() {
        return posZ;
    }

    public void setPosZ(int posZ) {
        this.posZ = posZ;
    }

    public int getWorkSpeed() {
        return workSpeed;
    }

    public void setWorkSpeed(int workSpeed) {
        this.workSpeed = workSpeed;
    }

    public int getPtzMode() {
        return ptzMode;
    }

    public void setPtzMode(int ptzMode) {
        this.ptzMode = ptzMode;
    }

    public int getYaw() {
        return yaw;
    }

    public void setYaw(int yaw) {
        this.yaw = yaw;
    }

    public int getPitch() {
        return pitch;
    }

    public void setPitch(int pitch) {
        this.pitch = pitch;
    }

    public int getRoll() {
        return roll;
    }

    public void setRoll(int roll) {
        this.roll = roll;
    }

    public int getPtzSpeed() {
        return ptzSpeed;
    }

    public void setPtzSpeed(int ptzSpeed) {
        this.ptzSpeed = ptzSpeed;
    }

    public int getRatio() {
        return ratio;
    }

    public void setRatio(int ratio) {
        this.ratio = ratio;
    }

    public int getFocalDistance() {
        return focalDistance;
    }

    public void setFocalDistance(int focalDistance) {
        this.focalDistance = focalDistance;
    }

    public int getDiaphragm() {
        return diaphragm;
    }

    public void setDiaphragm(int diaphragm) {
        this.diaphragm = diaphragm;
    }

    public int getFocusing() {
        return focusing;
    }

    public void setFocusing(int focusing) {
        this.focusing = focusing;
    }

    public boolean isOpenCamera() {
        return openCamera;
    }

    public void setOpenCamera(boolean openCamera) {
        this.openCamera = openCamera;
    }

    public boolean isOpenInfrared() {
        return openInfrared;
    }

    public void setOpenInfrared(boolean openInfrared) {
        this.openInfrared = openInfrared;
    }

    public boolean isOpenWiper() {
        return openWiper;
    }

    public void setOpenWiper(boolean openWiper) {
        this.openWiper = openWiper;
    }

    public boolean isOpenLight() {
        return openLight;
    }

    public void setOpenLight(boolean openLight) {
        this.openLight = openLight;
    }

    public boolean isOpenRadar() {
        return openRadar;
    }

    public void setOpenRadar(boolean openRadar) {
        this.openRadar = openRadar;
    }

    public boolean isOpenRoom() {
        return openRoom;
    }

    public void setOpenRoom(boolean openRoom) {
        this.openRoom = openRoom;
    }

    public boolean isOpenRobot() {
        return openRobot;
    }

    public void setOpenRobot(boolean openRobot) {
        this.openRobot = openRobot;
    }
}
