package com.sw.patroleditor.domain.model;

import io.swagger.annotations.ApiModelProperty;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;


@XmlRootElement(name = "PTZData")
public class PTZData {

    @ApiModelProperty("平移方向及角度？ 负值为左向平移")
    @XmlElement(name = "pan")
    private Integer pan;

    @ApiModelProperty("倾角")
    @XmlElement(name = "tilt")
    private Integer tilt;

    @ApiModelProperty("抵近")
    @XmlElement(name = "zoom")
    private Integer zoom;

    @XmlTransient
    public Integer getPan() {
        return pan;
    }

    public void setPan(Integer pan) {
        this.pan = pan;
    }

    @XmlTransient
    public Integer getTilt() {
        return tilt;
    }

    public void setTilt(Integer tilt) {
        this.tilt = tilt;
    }

    @XmlTransient
    public Integer getZoom() {
        return zoom;
    }

    public void setZoom(Integer zoom) {
        this.zoom = zoom;
    }
}
