package com.sw.patroleditor.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 机器人、云台移动VO
 * Created by shiwn on 2021/7/8 13:56
 */
@Data
public class RobotMoveCtrlVO {
    @ApiModelProperty(value = "机器人ip")
    private String robotIp;
    @ApiModelProperty(value = "控制方式，1-手动控制，2-定点移动")
    private int mode = 1;
    @ApiModelProperty(value = "x坐标")
    //  前进x=1，后退x=-1
    private int x;
    @ApiModelProperty(value = "y坐标")
    private int y;
    @ApiModelProperty(value = "z坐标")
    //  云台高度，下降z=-1，上升z=1
    private int z;
    @ApiModelProperty(value = "移动速度")
    //  固定1
    private int speed;
}
