package com.sw.patroleditor.component.robot.message;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SpecialCtrl {
    //关闭
    private boolean shutdown = false;
    //重启
    private boolean reboot = false;
    //停止
    private boolean stop = false;
    //恢复
    private boolean release = false;//急停释放
    //一键返航
    private boolean goback = false;
    //强制充电
    private boolean charge = false;

    @JsonProperty(value = "ctrl_mode")
    private int ctrlMode = -1;
//    #0  待机（默认模式），1：开机（运行模式）
//    #2：休息模式
//    #3：自动巡检模式
//    #4：手动模式
//    #5：充电模式
//    #6：暂停模式
//    #7：故障检修状态
//    #8：遥控模式
//    #9: 紧急定位模式（半自动模式）

    public boolean isShutdown() {
        return shutdown;
    }

    public void setShutdown(boolean shutdown) {
        this.shutdown = shutdown;
    }

    public boolean isReboot() {
        return reboot;
    }

    public void setReboot(boolean reboot) {
        this.reboot = reboot;
    }

    public boolean isStop() {
        return stop;
    }

    public void setStop(boolean stop) {
        this.stop = stop;
    }

    public boolean isGoback() {
        return goback;
    }

    public void setGoback(boolean goback) {
        this.goback = goback;
    }

    public boolean isCharge() {
        return charge;
    }

    public void setCharge(boolean charge) {
        this.charge = charge;
    }

    public int getCtrlMode() {
        return ctrlMode;
    }

    public void setCtrlMode(int ctrlMode) {
        this.ctrlMode = ctrlMode;
    }

    public boolean isRelease() {
        return release;
    }

    public void setRelease(boolean release) {
        this.release = release;
    }
}
