package com.sw.patroleditor.controller.api;

import com.sw.patroleditor.common.ResultData;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * Created by shiwn on 2024/5/29 16:19
 */
@Api(tags = {"系统管理"})
public interface SystemApi {
    @ApiOperation(value = "登录")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "{ account：用户名，passWord：密码 }")
    })
    ResultData login(@RequestBody Map map, HttpServletRequest request, HttpServletResponse response) throws Exception;

    @ApiOperation(value = "退出登录")
    ResultData quit(HttpServletRequest request);
}
