package com.sw.patroleditor.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author machao
 * @version 1.0
 * @description: 字典实体类
 * @date 2021/5/17 13:47
 */
@TableName("system_dict")
public class SystemDictDTO {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("字段名称")
    private String typeName;

    @ApiModelProperty("字典类型(1:系统字典;2:驱鸟相关字典)")
    private Integer type;

    @ApiModelProperty("字典名称")
    private String dictName;

    @ApiModelProperty("字典key值")
    private String textName;

    @ApiModelProperty("字典value值")
    private Integer textValue;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getTextName() {
        return textName;
    }

    public void setTextName(String textName) {
        this.textName = textName;
    }

    public Integer getTextValue() {
        return textValue;
    }

    public void setTextValue(Integer textValue) {
        this.textValue = textValue;
    }
}
