package com.sw.patroleditor.domain.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

@XmlRootElement(name = "position3D")
public class Position3D {

    @ApiModelProperty("左上起始坐标")
    @XmlElement(name = "StartPoint")
    private StartPoint startPoint;
    @ApiModelProperty("右下终点坐标")
    @XmlElement(name = "EndPoint")
    private EndPoint endPoint;

    @XmlTransient
    public StartPoint getStartPoint() {
        return startPoint;
    }

    public void setStartPoint(StartPoint startPoint) {
        this.startPoint = startPoint;
    }

    @XmlTransient
    public EndPoint getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(EndPoint endPoint) {
        this.endPoint = endPoint;
    }
}
