package com.sw.patroleditor.util;

import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

import java.io.IOException;
import java.security.MessageDigest;
import java.util.Base64;
import java.util.UUID;

/**
 * MD5加密和解密
 * <p>
 * Created by shiyanfei on 2018-01-27.
 */
public class MD5Util {

//    public static void main(String[] args) throws Exception {
//        String str = MD5Util.encode("admin");
//        String md5 = getMD5("21232f297a57a5a743894aeF4a801fc3");
//        System.out.println(str);
//        System.out.printf(md5);
//    }

    public static String getMD5(String MD5str) throws Exception {
        MessageDigest md = MessageDigest.getInstance("md5");
        byte[] buf = md.digest(MD5str.getBytes());
        BASE64Encoder encoder = new BASE64Encoder();
        String mds = encoder.encode(buf);
        return mds;
    }

    // 密码加密
    public static String encode(String MD5str) throws Exception {
        StringBuilder result = new StringBuilder();
        if (MD5str != null) {
            // 指定加密的方式为MD5
            MessageDigest md = MessageDigest.getInstance("MD5");
            // 进行加密运算
            byte bytes[] = md.digest(MD5str.getBytes("ISO8859-1"));
            for (int i = 0; i < bytes.length; i++) {
                // 将整数转换成十六进制形式的字符串 这里与0xff进行与运算的原因是保证转换结果为32位
                String str = Integer.toHexString(bytes[i] & 0xFF);
                if (str.length() == 1) {
                    str += "F";
                }
                result.append(str);
            }

        }
        return result.toString();
    }

    // BASE加密和解密
    public static void de(String base) {
        BASE64Encoder encoder = new BASE64Encoder();
        String bb = encoder.encode(base.getBytes());
        //System.out.println(bb);
        BASE64Decoder decoder = new BASE64Decoder();
        try {
            byte[] b1 = decoder.decodeBuffer(bb);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    // 利用MD5进行加密
    public static String encoderByMd5(String str) {
        try {
            MessageDigest md5 = MessageDigest.getInstance("MD5");
            //加密后的字符串
            return Base64.getEncoder().encodeToString(md5.digest(str.getBytes("UTF-8")));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return UUID.randomUUID().toString();
    }
}